#
# spec file for package libart_lgpl (Version 2.3.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libart_lgpl
BuildRequires:  pkgconfig
%define prefix /usr
%define sysconfdir /etc
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.3.17
Release:        17.2
Summary:        Libart Components Licensed under the LGPL
Source:         ftp://ftp.gnome.org/pub/gnome/sources/libart_lgpl/2.3/libart_lgpl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libart is a library for high-performance 2D graphics. It is currently
being used as the antialiased rendering engine for GNOME Canvas. It is
also the rendering engine for Gill, the GNOME Illustration application.



Authors:
--------
    Raph Levien <raph@acm.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Raph Levien <raph@acm.org>

%prep
%setup -q

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal 
libtoolize --force
automake -c -a -f
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	--disable-gtk-doc \
	--libdir=%{prefix}/%_lib \
	--mandir=%{prefix}/share/man \
	--infodir=%{prefix}/share/info
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/include/libart-2.0
%{prefix}/%_lib/pkgconfig/*
%{prefix}/bin/*

%changelog -n libart_lgpl
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Feb 04 2005 - gekker@suse.de
- Update to version 2.3.17
* Thu Aug 26 2004 - kukuk@suse.de
- call ldconfig directly and avoid /bin/sh prereq
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.3.16.
* Mon Aug 18 2003 - sbrabec@suse.cz
- Updated to version 2.3.14.
* Tue Jul 29 2003 - adrian@suse.de
- fix build
* Wed Jul 16 2003 - sbrabec@suse.cz
- Prefix changed back to /usr on request of KDE maintainers.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Updated to version 2.3.12.
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.3.11
* Thu Oct 24 2002 - hhetter@suse.de
- use automake -c to copy files, not link
  (Bug Id #21066)
* Mon Oct 21 2002 - sbrabec@suse.cz
- Updated %%files (libart_lgpl/libart_lgpl-devel splitting).
* Tue Jul 23 2002 - hhetter@suse.de
- updated to 2.3.10
* Wed Jul 17 2002 - hhetter@suse.de
- fix filelist
* Thu Jun 27 2002 - hhetter@suse.de
- updated to version 2.3.9 (gnome 2.0 final)
  * platform build fixes
  * minor bugfixes
* Wed Jun 19 2002 - ro@suse.de
- use "-a -f" for automake
* Fri Apr 26 2002 - coolo@suse.de
- use %%_libdir
* Mon Jan 14 2002 - hhetter@suse.de
- updated to version 2.3.8:
  * new functions
  * some header files corrected
  * Makefile improvements
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
